Subject: [Netconf] Discussion Item: monitoring draft: single namespace assumption

From: "Mark Scott" <[email-masked]>
Date: Thu, 19 Mar 2009 17:15:25 -0400

Hello,

During WGLC of "draft-itef-netconf-monitoring-v03" an item which raised
which requires further discussion/consensus on the mailing list.

Original comment:  "You make the assumption that a schema can only
define one namespace.  This might be OK but I wanted to spell this out
so that the WG takes this design decision not by accident."

At present the monitoring draft definition is consistent 4741 which
assumes a single namespace per capability.

Question to WG:   Are we OK with this assumption, or should we consider
extending the monitoring definition now to accommodate future support of
multiple namespaces per schema?

-          Since this would impact other NETCONF items is this something
better handled in netmod or 4741bis?

thank you,

Mark